Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157703 - USB pendrive not automatically mounting
Summary: USB pendrive not automatically mounting
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 21:35 UTC by Tim Burke
Modified: 2013-03-06 03:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 00:52:32 UTC


Attachments (Terms of Use)
output of `lshal` (deleted)
2005-05-13 21:37 UTC, Tim Burke
no flags Details
hald spewage when I unplug the usb pendrive (deleted)
2005-05-13 21:40 UTC, Tim Burke
no flags Details

Description Tim Burke 2005-05-13 21:35:17 UTC
On my laptop I am running the U1 kernel, 2.6.9-9. Otherwise, the rest of my
system is stock RHEL4 GA.  When I plug in my USB pendrive it does not get
automatically mounted.  I am rather certain this used to work, but doesn't
currently.

Here's more info:
17:38:55.046 [I] linux/osspec.c:1655: SEQNUM=370, TIMESTAMP=1116020335
17:38:55.048 [I] linux/osspec.c:1727: Queing up seqnum=370,
sysfspath=/devices/pci0000:00/0000:00:1d.1/usb2/2-2, subsys=usb
17:38:55.060 [I] linux/osspec.c:1337: action=add seqnum=370 subsystem=usb
sysfs_path=/sys/devices/pci0000:00/0000:00:1d.1/usb2/2-2
17:38:57.079 [I] device_info.c:1118: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
17:38:57.080 [I] device_info.c:1118: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
17:38:57.081 [I] device_info.c:1118: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
17:38:57.093 [I] device_info.c:1118: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
17:38:57.093 [I] device_info.c:1118: scan_fdi_files: Processing file 'sony_dsc.fdi'
17:38:57.094 [I] device_info.c:1118: scan_fdi_files: Processing file
'storage-policy.fdi'
17:38:57.108 [I] linux/osspec.c:1532:
******************************************17:38:57.119 [I] linux/osspec.c:1533:
**** hotplug_counter is now 1
17:38:57.119 [I] linux/osspec.c:1534:
******************************************17:38:57.119 [I] linux/osspec.c:1655:
SEQNUM=372, TIMESTAMP=1116020335
17:38:57.120 [I] linux/osspec.c:1727: Queing up seqnum=372,
sysfspath=/class/scsi_host/host4, subsys=scsi_host
17:38:57.138 [I] linux/osspec.c:1655: SEQNUM=373, TIMESTAMP=1116020335
17:38:57.138 [I] linux/osspec.c:1727: Queing up seqnum=373,
sysfspath=/devices/pci0000:00/0000:00:1d.1/usb2/2-2/2-2:1.0/host4/target4:0:0/4:0:0:0,
subsys=scsi
17:38:57.139 [I] linux/osspec.c:1655: SEQNUM=375, TIMESTAMP=1116020335
17:38:57.139 [I] linux/osspec.c:1727: Queing up seqnum=375,
sysfspath=/block/sda/sda1, subsys=block
17:38:57.139 [I] linux/osspec.c:1655: SEQNUM=376, TIMESTAMP=1116020335
17:38:57.139 [I] linux/osspec.c:1727: Queing up seqnum=376,
sysfspath=/class/scsi_device/4:0:0:0, subsys=scsi_device
17:38:57.139 [I] linux/osspec.c:1655: SEQNUM=374, TIMESTAMP=1116020335
17:38:57.153 [I] linux/osspec.c:1727: Queing up seqnum=374,
sysfspath=/block/sda, subsys=block
17:38:57.154 [I] linux/osspec.c:1655: SEQNUM=371, TIMESTAMP=1116020335
17:38:57.154 [I] linux/osspec.c:1727: Queing up seqnum=371,
sysfspath=/devices/pci0000:00/0000:00:1d.1/usb2/2-2/2-2:1.0, subsys=usb
17:38:57.154 [I] linux/osspec.c:1655: SEQNUM=374, TIMESTAMP=1116020337
17:38:57.154 [I] linux/osspec.c:1396: action=add, seqnum=374  subsystem=block
devpath=/block/sda devname=/dev/sda
17:38:57.154 [I] linux/osspec.c:1655: SEQNUM=375, TIMESTAMP=1116020337
17:38:57.167 [I] linux/osspec.c:1396: action=add, seqnum=375  subsystem=block
devpath=/block/sda/sda1 devname=/dev/sda1
17:38:57.168 [I] callout.c:332: Invoking /etc/hal/device.d/50-fstab-sync.hal
17:38:57.184 [I] callout.c:332: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
hal_hotplug_map: Checking usermaps for USB device vid=0x04e8 pid=0x0100
17:38:57.215 [I] callout.c:332: Invoking /etc/hal/device.d/printer_remove.hal
17:38:57.240 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/usb_device_4e8_100_1_-1_0147261456926
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/usb_device_4e8_100_1_-1_0147261456926
17:38:57.255 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/usb_device_4e8_100_1_-1_0147261456926
17:38:57.268 [I] linux/osspec.c:1545:
==========================================17:38:57.268 [I] linux/osspec.c:1546:
==== hotplug_counter is now 0
17:38:57.268 [I] linux/osspec.c:1547:
==========================================17:38:57.268 [I] linux/osspec.c:1337:
action=add seqnum=371 subsystem=usb
sysfs_path=/sys/devices/pci0000:00/0000:00:1d.1/usb2/2-2/2-2:1.0
17:38:57.286 [I] device_info.c:1118: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
17:38:57.287 [I] device_info.c:1118: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
17:38:57.287 [I] device_info.c:1118: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
17:38:57.300 [I] device_info.c:1118: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
17:38:57.301 [I] device_info.c:1118: scan_fdi_files: Processing file 'sony_dsc.fdi'
17:38:57.302 [I] device_info.c:1118: scan_fdi_files: Processing file
'storage-policy.fdi'
17:38:57.315 [I] linux/osspec.c:1532:
******************************************17:38:57.327 [I] linux/osspec.c:1533:
**** hotplug_counter is now 1
17:38:57.327 [I] linux/osspec.c:1534:
******************************************17:38:57.328 [I] callout.c:332:
Invoking /etc/hal/device.d/50-fstab-sync.hal
17:38:57.345 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/usb_device_4e8_100_1_-1_0147261456926
17:38:57.359 [W] hald_dbus.c:97: No property volume.is_disc on device with id
/org/freedesktop/Hal/devices/usb_device_4e8_100_1_-1_0147261456926
17:38:57.374 [I] callout.c:332: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
17:38:57.389 [I] callout.c:332: Invoking /etc/hal/device.d/printer_remove.hal
17:38:57.413 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/usb_device_4e8_100_1_-1_0147261456926
17:38:57.414 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/usb_usb_device_4e8_100_1_-1_0147261456926_0
libhal.c 911 : Error sending msg: No property info.capabilities on device with
id /org/freedesktop/Hal/devices/usb_usb_device_4e8_100_1_-1_0147261456926_0
17:38:57.429 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/usb_usb_device_4e8_100_1_-1_0147261456926_0
17:38:57.442 [I] linux/osspec.c:1545:
==========================================17:38:57.442 [I] linux/osspec.c:1546:
==== hotplug_counter is now 0
17:38:57.442 [I] linux/osspec.c:1547:
==========================================17:38:57.443 [I] linux/osspec.c:1337:
action=add seqnum=372 subsystem=scsi_host sysfs_path=/sys/class/scsi_host/host4
17:38:57.459 [I] device_info.c:1118: scan_fdi_files: Processing file
'6in1-card-reader.fdi'
17:38:57.460 [I] device_info.c:1118: scan_fdi_files: Processing file
'jetflash-mp3-player.fdi'
17:38:57.460 [I] device_info.c:1118: scan_fdi_files: Processing file
'lexar-media-cf-reader.fdi'
17:38:57.473 [I] device_info.c:1118: scan_fdi_files: Processing file
'lucent-pcmcia-wireless.fdi'
17:38:57.474 [I] device_info.c:1118: scan_fdi_files: Processing file 'sony_dsc.fdi'
17:38:57.474 [I] device_info.c:1118: scan_fdi_files: Processing file
'storage-policy.fdi'
17:38:57.488 [I] linux/osspec.c:1532:
******************************************17:38:57.500 [I] linux/osspec.c:1533:
**** hotplug_counter is now 1
17:38:57.500 [I] linux/osspec.c:1534:
******************************************17:38:57.501 [I] callout.c:332:
Invoking /etc/hal/device.d/50-fstab-sync.hal
17:38:57.517 [I] callout.c:332: Invoking /etc/hal/device.d/40-hal-hotplug-map.hal
17:38:57.532 [I] callout.c:332: Invoking /etc/hal/device.d/printer_remove.hal
17:38:57.558 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/usb_usb_device_4e8_100_1_-1_0147261456926_0
17:38:57.558 [W] hald_dbus.c:97: No property volume.is_disc on device with id
/org/freedesktop/Hal/devices/usb_usb_device_4e8_100_1_-1_0147261456926_0
17:38:57.573 [W] hald_dbus.c:97: No property info.capabilities on device with id
/org/freedesktop/Hal/devices/usb_usb_device_4e8_100_1_-1_0147261456926_0
17:38:57.588 [I] hald.c:81: Added device to GDL;
udi=/org/freedesktop/Hal/devices/scsi_host_4
17:38:57.590 [I] linux/osspec.c:1545:
==========================================17:38:57.590 [I] linux/osspec.c:1546:
==== hotplug_counter is now 0
17:38:57.602 [I] linux/osspec.c:1547:
==========================================17:38:57.602 [I] linux/osspec.c:1337:
action=add seqnum=373 subsystem=scsi
sysfs_path=/sys/devices/pci0000:00/0000:00:1d.1/usb2/2-2/2-2:1.0/host4/target4:0:0/4:0:0:0
17:38:57.621 [E] linux/osspec.c:1362: d is NULL!
17:38:57.621 [I] linux/osspec.c:1337: action=add seqnum=374 subsystem=block
sysfs_path=/sys/block/sda
17:38:57.639 [I] linux/osspec.c:1179: dev_file=/dev/sda is for
udi=/org/freedesktop/Hal/devices/temp/47
17:38:57.639 [I] linux/osspec.c:1185: .udev.class_name = block
17:38:57.657 [E] linux/osspec.c:1362: d is NULL!
17:38:57.657 [I] linux/osspec.c:1337: action=add seqnum=375 subsystem=block
sysfs_path=/sys/block/sda/sda1
17:38:57.658 [I] linux/osspec.c:1179: dev_file=/dev/sda1 is for
udi=/org/freedesktop/Hal/devices/temp/48
17:38:57.671 [I] linux/osspec.c:1185: .udev.class_name = block
17:38:57.671 [E] linux/osspec.c:1362: d is NULL!
17:38:57.671 [I] linux/osspec.c:1337: action=add seqnum=376
subsystem=scsi_device sysfs_path=/sys/class/scsi_device/4:0:0:0
17:38:57.706 [E] linux/osspec.c:1362: d is NULL!
17:38:57.721 [W] hald_dbus.c:97: No property volume.is_disc on device with id
/org/freedesktop/Hal/devices/scsi_host_4

Comment 1 Tim Burke 2005-05-13 21:36:21 UTC
[root@burkelaptop ~]# tail /var/log/messages
May 13 17:38:55 burkelaptop scsi.agent[13463]: disk at
/devices/pci0000:00/0000:00:1d.1/usb2/2-2/2-2:1.0/host4/target4:0:0/4:0:0:0
May 13 17:38:56 burkelaptop udev[13509]: creating device node '/dev/sda'
May 13 17:38:56 burkelaptop udev[13510]: creating device node '/dev/sda1'


Comment 2 Tim Burke 2005-05-13 21:37:53 UTC
Created attachment 114361 [details]
output of `lshal`

Comment 3 Tim Burke 2005-05-13 21:38:58 UTC
Nothing useful in /etc/fstab:

[root@burkelaptop ~]# cat /etc/fstab
# This file is edited by fstab-sync - see 'man fstab-sync' for details
/dev/VolGroup00/LogVol00 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /proc                   proc    defaults        0 0
none                    /sys                    sysfs   defaults        0 0
/dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0
/dev/hdc                /media/cdrecorder       auto   
pamconsole,fscontext=system_u:object_r:removable_t,ro,exec,noauto,managed 0 0


Comment 4 Tim Burke 2005-05-13 21:40:54 UTC
Created attachment 114362 [details]
hald spewage when I unplug the usb pendrive

Comment 5 David Zeuthen 2005-05-13 21:47:28 UTC
Thanks for the detailed output.

Comment 6 Tim Burke 2005-05-13 21:57:41 UTC
I know this is completely unrelated trivia, but.. when I plug in a blank CD, the
following icon appears on the desktop "Blank CD-R Disc", so thats goodness.

Comment 7 Tim Burke 2005-05-13 22:10:25 UTC
[root@burkelaptop usb]# rpm -q hal hotplug udev
hal-0.4.0-9
hotplug-2004_04_01-6
udev-039-6.EL4.2

Comment 8 Tim Burke 2005-05-16 21:33:11 UTC
btw, I tried 2 other pendrives and they all fail in the same manner.


Comment 11 David Zeuthen 2005-05-19 14:17:45 UTC
Can you test with hal-0.4.2-1.EL4 please? That's what we ship in GA.

Thanks,
DAvid

Comment 12 Pete Zaitcev 2005-05-22 22:09:21 UTC
See also bug 158399 (do not dup!)



Comment 13 Tim Burke 2005-05-23 00:41:12 UTC
I installed the recent collection of hal stuff: hal-0.4.2
That did the trick.  Seems to be working fine.
Sorry for a false alarm.


Comment 14 David Zeuthen 2005-05-23 00:52:32 UTC
Good to hear - I'm closing the bug then.


Note You need to log in before you can comment on or make changes to this bug.